unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, U_BaseList,
  Data.DB, Data.Win.ADODB, Vcl.StdCtrls;

type
  TForm1 = class(TfrmBaseList)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  U_DataLink, U_CompanySel, U_ClothInfoSel, U_EmployeeSel, U_LablePrint;
{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  try
    frmCompanySel := TfrmCompanySel.Create(Application);
    with frmCompanySel do
    begin
      if ShowModal = 1 then
      begin
//        Self.InitGrid();
      end;
    end;
  finally
    frmCompanySel.Free;
  end;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin

  try
    frmClothInfoSel := TfrmClothInfoSel.Create(Application);
    with frmClothInfoSel do
    begin
      if ShowModal = 1 then
      begin
//        Self.InitGrid();
      end;
    end;
  finally
    frmClothInfoSel.Free;
  end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  try
    frmEmployeeSel := TfrmEmployeeSel.Create(Application);
    with frmEmployeeSel do
    begin
      if ShowModal = 1 then
      begin
//        Self.InitGrid();
      end;
    end;
  finally
    frmEmployeeSel.Free;
  end;

end;

procedure TForm1.Button5Click(Sender: TObject);
begin

  try
    frmLablePrint := TfrmLablePrint.Create(Application);
    with frmLablePrint do
    begin
      if ShowModal = 1 then
      begin
//        Self.InitGrid();
      end;
    end;
  finally
    frmLablePrint.Free;
  end;

end;

end.

